/*declare facts*/

parent(mitch, june).
parent(mitch, lena).
parent(mitch, eliza).
parent(mitch, zeb).

parent(cassandra, zeb).
parent(cassandra, eliza).
parent(cassandra, lena).
parent(cassandra, jon).

parent(arnold, mitch).
parent(susan, mitch).

parent(shemp, cassandra).
parent(aya, cassandra).

female(aya).
female(susan).
female(june).
female(lena).
female(eliza).
female(cassandra).

male(shemp).
male(arnold).
male(zeb).
male(jon).
male(mitch).

/*declare some rules or relationships*/
offspring(X, Y) :- parent(Y, X).

mother(X, Y) :- parent(X, Y), female(X).
father(X, Y) :- parent(X, Y), male(X).

sibling(X, Y) :- parent(Z, X), parent(Z, Y), not(X = Y).
brother(X, Y) :- sibling(X, Y), male(X).
sister(X, Y) :- sibling(X, Y), female(X).

grandparent(X, Z) :- parent(X, Y), parent(Y, Z).
grandmother(X, Z) :- grandparent(X, Z), female(X).
grandfather(X, Z) :- grandparent(X, Z), male(X).